import React, {useState, useEffect} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/kragovic/011e2dca7c60d2ee65c98b2c5dbc285a/raw/3fc48bb671517ff7cd6eb62cf08bf782223ebaf5/donor_types.csv';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Total = +d.Total;
      d.Covid = +d.Covid;
      d.Other = +d.Other;
      return d;
    };
    csv(csvUrl, row).then((data) => {
      //setData(data.slice(0, 10));
      setData(data);
    });
  }, []);

  return data;
};