export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat
}) => data.map((d, i) => (
    <>
    <rect
      className="mark"
      key={yValue(d)}
      x={0}
      y={yScale(yValue(d))}
      width={xScale(xValue(d))}
      height={yScale.bandwidth()}
    >
      <title>{tooltipFormat(xValue(d))}</title>
      </rect>
      <g>
      	<text
          key={i}
          style={{ textAnchor: 'end' }}
          x={xScale(xValue(d)) + 3}
          y={yScale(yValue(d)) + yScale.bandwidth() / 2}
          dy=".32em"
          style={{textAnchor: 'start'}}
        >
          {xValue(d)}
        </text>
      </g> 
      </>
  ));